{
  GeoGet - skript DeleteFoundTime

  Smae as nlezu pokud je stejn jako zaznam o editaci logu.

  mpistora

  2011-01-12
  2011-01-25  0.5.0 prvn beta
  2011-02-03  0.5.1 zmna refreshe
  2011-02-15  1.0.0 prvn verze
}

var
  Counter: integer;
  longmsg: string;
  CntSelected, CntUpdated: integer;
  dvanact: TDateTime;
  sekunda: TDateTime;

function PluginCaption: string;
begin
  Result := 'DeleteFoundTime';
end;

function PluginHint: string;
begin
  Result := 'Smae as nlezu pokud je stejn jako zaznam o editaci logu.';
end;

function PluginFlags: string;
begin
  Result := 'toolbar,list'; // toolbar, global, list
end;

function PluginIcon: string;
begin
  Result := '';
end;

procedure PluginStart;
begin
  GeoBusyStart;
  GeoBusyProgress(0, GEOGET_MAXCOUNT);
  GeoBusyCaption('DeleteFoundTime');
  dvanact := EncodeTime(12, 0, 0, 0);
  sekunda := EncodeTime(0, 0, 1, 0);
end;

procedure PluginWork;
var
  logtext, logtype: string;
  logtime: TDateTime;
  n: integer;
  konec: string;
  Hour, Min: Word;
begin
  Inc(Counter);
  GeoBusyProgress(Counter, GEOGET_MAXCOUNT);
  GeoBusyKind(GC.Id);
  if not GC.IsFound then exit;  // nen nalezen
  if GC.Found = 0 then exit;  // nem datum nlezu
  if GC.FoundTime = 0 then exit;  // nem as nlezu
  Inc(CntSelected);
  for n:= 0 to GC.Logs.Count-1 do
  begin
    logtype := GC.Logs[n].LogType
    if ((logtype = 'Found it') or (logtype = 'Webcam photo taken') or (logtype = 'Attended')) and (GC.Logs[n].Finder = GEOGET_OWNER) then
    begin
      logtext := GC.Logs[n].Text;
      if pos('This entry was edited by', logtext) > 0 then
      begin
        Fetch(logtext, 'This entry was edited by');
        Fetch(logtext, ' at ');
        Hour := StrToInt(Fetch(logtext, ':'));
        Min := StrToInt(Fetch(logtext, ':'));
        logtime := EncodeTime(Hour, Min, 0, 0);
        konec := Fetch(logtext, '.');
        if length(konec) > 2 then
        begin
          Fetch(konec, ' ');
          if logtime > dvanact then
            logtime := logtime - dvanact;
          if konec = 'PM' then
            logtime := logtime + dvanact;
        end;
//      longmsg := longmsg + CRLF + GC.id + ' ' + FormatDateTime('hh:nn:ss', logtime)
        if abs(GC.FoundTime - logtime) < sekunda then
          begin
          GC.UpdateFound(GC.Found); // jen datum
          GC.ListAdd; // refresh kee v seznamu
          Inc(CntUpdated);
          longmsg := longmsg + CRLF + GC.id + ' ' + FormatDateTime('', GC.Found + logtime)
        end;
      end;
    end;
  end;
end;


procedure PluginStop;
var
  msg: string;
begin
  msg :=
  'Celkem: ' + IntToStr(GEOGET_MAXCOUNT) + '  ' + CRLF +
  'Vybrno ke zpracovn: ' + IntToStr(CntSelected) + CRLF +
  'Zjitn a smazn as nlezu: ' + IntToStr(CntUpdated);
  ShowLongMessage('DeleteFoundTime - vsledky', msg + longmsg);
end;