{
  GeoGet - knihovna SaveConfig

  Uloen zmny konfiguranho parametru do souboru *.config.pas.

  mpistora

  2011-01-21
  2011-01-25  0.5.0 prvn beta
  2011-01-31  0.5.1 formln prava
  2011-02-15  1.0.0 prvn verze
}

unit SaveConfig;

// Uloen zmny konfiguranho parametru do souboru *.config.pas
procedure SCSaveConfig(parname, parvalue: string);
var
  configfile, configstr: string;
begin
  configfile := RegexReplace('(?i)(.*\\[^\.]+\.)([^\.]+)(\..*)',
                  GEOGET_SCRIPTFULLNAME, '$1config$3', true);
  if not FileExists(configfile) then Exit;
  configstr := FileToString(configfile);
  configstr := RegexReplace('(?i)(.*\s*' + parname + '\s*=\s*)('')([^'']|''{2})*('')(\s*;)',
                  configstr, '$1' + RegexQuote(QuoteStr(parvalue, '''')) + '$5', true);
  StringToFile(configstr, configfile);
end;

end.
